> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Pre Encounter Eligibility Checks V 1 Coordination Of Benefits

POST https://api.taigabilling.com/eligibility-checks/v1/coordination-of-benefits
Content-Type: application/json

Sends a coordination of benefits check through Stedi to determine whether a patient has
coverage overlap across multiple payers and, if so, which payer is primary.
Medicare and Medicare Advantage plans are not supported.

Reference: https://docs.taigabilling.com/api-reference/pre-encounter-eligibility-checks-v-1/pre-encounter-eligibility-checks-v-1-coordination-of-benefits

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Body (application/json)

This endpoint expects a pre-encountereligibilityChecksv1CoordinationOfBenefitsRequest.

- `trading_partner_service_id` (string, required) — The Payer ID. Each check must be for a participating health plan for which the patient has coverage. Medicare and Medicare Advantage plans are not supported.
- `provider` (pre-encountereligibilityChecksv1CobProvider, required) — Information about the entity requesting the COB check. Provide either organization_name (for organizations) or first_name and last_name (for individuals), plus npi.
- `subscriber` (pre-encountereligibilityChecksv1CobSubscriber, required) — The primary policyholder for the insurance plan or a dependent with a unique member ID. You must provide at least one of member_id or ssn.
- `encounter` (pre-encountereligibilityChecksv1CobEncounter, required) — Information about the encounter for the COB check. Service dates must be within the past 2 years and must not be in the future.
- `dependent` (pre-encountereligibilityChecksv1CobDependent, optional, nullable) — A dependent for which you want to check coordination of benefits. If the dependent has their own member ID, include their information in the subscriber object instead.

## Response

### 200

- `provider` (pre-encountereligibilityChecksv1CobResponseProvider, optional, nullable) — Information about the provider who submitted the COB request.
- `subscriber` (pre-encountereligibilityChecksv1CobResponseSubscriber, optional, nullable) — Information about the primary policyholder.
- `dependent` (pre-encountereligibilityChecksv1CobResponseDependent, optional, nullable) — Information about the dependent listed in the COB request.
- `payer` (pre-encountereligibilityChecksv1CobPayer, optional, nullable) — Information about the payer listed in the COB request.
- `plan_date_information` (pre-encountereligibilityChecksv1CobPlanDateInformation, optional, nullable) — Date information for the plan.
- `benefits_information` (list of any, optional, nullable) — Raw passthrough of Stedi's benefits information (coverage, service types, related entities, etc.).
- `errors` (list of pre-encountereligibilityChecksv1EligibilityCheckErrorDetails, optional, nullable)
- `coordination_of_benefits` (pre-encountereligibilityChecksv1Cob, optional, nullable) — Overview of the COB response including whether coverage overlap exists and payer primacy.

## Types

### pre-encountereligibilityChecksv1CobProvider

Information about the entity requesting the COB check. Provide either organization_name (for organizations) or first_name and last_name (for individuals), plus npi.

- `npi` (string, required) — The provider's National Provider Identifier (NPI).
- `organization_name` (string, optional, nullable) — The provider's business name. Required if the provider is an organization.
- `first_name` (string, optional, nullable) — The provider's first name. Required if the provider is an individual.
- `last_name` (string, optional, nullable) — The provider's last name. Required if the provider is an individual.

### pre-encountereligibilityChecksv1CobSubscriber

The primary policyholder for the insurance plan or a dependent with a unique member ID. You must provide at least one of member_id or ssn.

- `first_name` (string, required) — The subscriber's first name.
- `last_name` (string, required) — The subscriber's last name.
- `date_of_birth` (string, required) — The subscriber's date of birth.
- `member_id` (string, optional, nullable) — The member ID for the subscriber's insurance policy.
- `ssn` (string, optional, nullable) — The subscriber's Social Security Number (SSN).

### pre-encountereligibilityChecksv1CobEncounter

Information about the encounter for the COB check. Service dates must be within the past 2 years and must not be in the future.

- `date_of_service` (string, optional, nullable) — The date of service. Defaults to the current date if not specified.
- `beginning_date_of_service` (string, optional, nullable) — The beginning date of service. If included, end_date_of_service is also required.
- `end_date_of_service` (string, optional, nullable) — The end date of service. If included, beginning_date_of_service is also required.

### pre-encountereligibilityChecksv1CobDependent

A dependent for which you want to check coordination of benefits. If the dependent has their own member ID, include their information in the subscriber object instead.

- `first_name` (string, required) — The dependent's first name.
- `last_name` (string, required) — The dependent's last name.
- `date_of_birth` (string, required) — The dependent's date of birth.
- `ssn` (string, optional, nullable) — The dependent's Social Security Number (SSN).

### pre-encountereligibilityChecksv1CobResponseProvider

Information about the entity that submitted the original COB request.

- `provider_name` (string, optional, nullable) — The provider's last name. Applies to providers that are an individual.
- `provider_first_name` (string, optional, nullable) — The provider's first name. Applies to providers that are an individual.
- `provider_org_name` (string, optional, nullable) — The provider's organization name.
- `npi` (string, optional, nullable) — The provider's National Provider Identifier (NPI).
- `aaa_errors` (list of pre-encountereligibilityChecksv1EligibilityCheckErrorDetails, optional, nullable) — AAA errors specifying reasons for rejection and recommended follow-up actions.

### pre-encountereligibilityChecksv1CobResponseSubscriber

Information about the primary policyholder for the insurance plan listed in the COB request.

- `member_id` (string, optional, nullable) — The member ID for the subscriber's insurance policy.
- `first_name` (string, optional, nullable)
- `last_name` (string, optional, nullable)
- `middle_name` (string, optional, nullable)
- `gender` (string, optional, nullable) — The subscriber's gender. Typically `F` - Female, `M` - Male, or `U` - Unknown.
- `date_of_birth` (string, optional, nullable)
- `ssn` (string, optional, nullable)
- `group_number` (string, optional, nullable) — The group number associated with the subscriber's insurance policy.
- `birth_sequence_number` (string, optional, nullable) — Birth order when there are multiple births associated with the provided birth date.
- `address` (pre-encountereligibilityChecksv1CobAddress, optional, nullable) — A patient's address as returned in a coordination of benefits response.
- `aaa_errors` (list of pre-encountereligibilityChecksv1EligibilityCheckErrorDetails, optional, nullable) — AAA errors specifying reasons for rejection and recommended follow-up actions.

### pre-encountereligibilityChecksv1CobResponseDependent

Information about the dependent listed in the original COB request.

- `member_id` (string, optional, nullable) — The member ID for the subscriber's insurance policy.
- `first_name` (string, optional, nullable)
- `last_name` (string, optional, nullable)
- `middle_name` (string, optional, nullable)
- `gender` (string, optional, nullable) — The dependent's gender. Typically `F` - Female, `M` - Male, or `U` - Unknown.
- `date_of_birth` (string, optional, nullable)
- `ssn` (string, optional, nullable)
- `group_number` (string, optional, nullable) — The group number associated with the subscriber's insurance policy.
- `relation_to_subscriber` (string, optional, nullable) — The name of the relation_to_subscriber_code. For example, `Child` when the code is `19`.
- `relation_to_subscriber_code` (string, optional, nullable) — The dependent's relationship to the subscriber. For example `01` - Spouse, `19` - Child, `20` - Employee, `21` - Unknown, `39` - Organ Donor, `40` - Cadaver Donor, `53` - Life Partner, or `G8` - Other Relationship.
- `birth_sequence_number` (string, optional, nullable) — Birth order when there are multiple births associated with the provided birth date.
- `address` (pre-encountereligibilityChecksv1CobAddress, optional, nullable) — A patient's address as returned in a coordination of benefits response.
- `aaa_errors` (list of pre-encountereligibilityChecksv1EligibilityCheckErrorDetails, optional, nullable) — AAA errors specifying reasons for rejection and recommended follow-up actions.

### pre-encountereligibilityChecksv1CobPayer

Information about the payer listed in the COB request.

- `name` (string, optional, nullable) — The payer's name, such as `CIGNA`.
- `payer_identification` (string, optional, nullable) — The trading_partner_service_id (Payer ID) used to identify the payer in the COB request.

### pre-encountereligibilityChecksv1CobPlanDateInformation

Dates associated with the patient's health plan coverage.

- `plan_begin` (string, optional, nullable) — When the patient's health plan coverage begins.
- `plan_end` (string, optional, nullable) — When the patient's health plan coverage ends.

### pre-encountereligibilityChecksv1EligibilityCheckErrorDetails

This object is our fern representation of Stedi's EligbilityCheckError object from their API.

- `field?` (string, optional, nullable)
- `description?` (string, optional, nullable)
- `location?` (string, optional, nullable)
- `possibleResolutions?` (string, optional, nullable)
- `code?` (string, optional, nullable)
- `followupAction?` (string, optional, nullable)

### pre-encountereligibilityChecksv1Cob

An overview of the COB response. Indicates whether there is a coverage overlap, whether that overlap creates a coordination of benefits instance, and whether Stedi was able to identify payer primacy (when a COB instance exists).

- `classification` (string, optional, nullable) — The classification for the discovered benefits. One of: `CobInstanceExistsPrimacyDetermined`, `CobInstanceExistsPrimacyUndetermined`, `CoverageOverlapNoBenefitOverlap`, `CoverageOverlapExistsNotSubjectToCob`, or `MemberFoundNoCob`.
- `instance_exists` (boolean, optional, nullable) — If true, the COB response contains at least one coordination of benefits instance.
- `primacy_determined` (boolean, optional, nullable) — If true, Stedi was able to determine the primary payer for the patient.
- `coverage_overlap` (boolean, optional, nullable) — If true, the patient has active coverage with two or more payers during the service date.
- `benefit_overlap` (boolean, optional, nullable) — If true, the patient has active coverage from two or more payers for the same service type code.

### pre-encountereligibilityChecksv1CobAddress

A patient's address as returned in a coordination of benefits response.

- `address_1` (string, optional, nullable)
- `address_2` (string, optional, nullable)
- `city` (string, optional, nullable)
- `state` (string, optional, nullable) — The US state or Canadian province code. Kept as a string rather than an enum because, per Stedi, payers may sometimes return non-compliant values.
- `postal_code` (string, optional, nullable)
- `country_code` (string, optional, nullable)
- `country_sub_division_code` (string, optional, nullable)

## Examples

**Request**

```json
{
  "trading_partner_service_id": "string",
  "provider": {
    "npi": "string"
  },
  "subscriber": {
    "first_name": "string",
    "last_name": "string",
    "date_of_birth": "string"
  }
}
```

**Response**

```json
{
  "provider": {
    "provider_name": "string",
    "provider_first_name": "string",
    "provider_org_name": "string",
    "npi": "string",
    "aaa_errors": [
      {
        "field?": "string",
        "description?": "string",
        "location?": "string",
        "possibleResolutions?": "string",
        "code?": "string",
        "followupAction?": "string"
      }
    ]
  },
  "subscriber": {
    "member_id": "string",
    "first_name": "string",
    "last_name": "string",
    "middle_name": "string",
    "gender": "string",
    "date_of_birth": "string",
    "ssn": "string",
    "group_number": "string",
    "birth_sequence_number": "string",
    "address": {
      "address_1": "string",
      "address_2": "string",
      "city": "string",
      "state": "string",
      "postal_code": "string",
      "country_code": "string",
      "country_sub_division_code": "string"
    },
    "aaa_errors": [
      {
        "field?": "string",
        "description?": "string",
        "location?": "string",
        "possibleResolutions?": "string",
        "code?": "string",
        "followupAction?": "string"
      }
    ]
  },
  "dependent": {
    "member_id": "string",
    "first_name": "string",
    "last_name": "string",
    "middle_name": "string",
    "gender": "string",
    "date_of_birth": "string",
    "ssn": "string",
    "group_number": "string",
    "relation_to_subscriber": "string",
    "relation_to_subscriber_code": "string",
    "birth_sequence_number": "string",
    "address": {
      "address_1": "string",
      "address_2": "string",
      "city": "string",
      "state": "string",
      "postal_code": "string",
      "country_code": "string",
      "country_sub_division_code": "string"
    },
    "aaa_errors": [
      {
        "field?": "string",
        "description?": "string",
        "location?": "string",
        "possibleResolutions?": "string",
        "code?": "string",
        "followupAction?": "string"
      }
    ]
  },
  "payer": {
    "name": "string",
    "payer_identification": "string"
  },
  "plan_date_information": {
    "plan_begin": "string",
    "plan_end": "string"
  },
  "benefits_information": [
    null
  ],
  "errors": [
    {
      "field?": "string",
      "description?": "string",
      "location?": "string",
      "possibleResolutions?": "string",
      "code?": "string",
      "followupAction?": "string"
    }
  ],
  "coordination_of_benefits": {
    "classification": "string",
    "instance_exists": true,
    "primacy_determined": true,
    "coverage_overlap": true,
    "benefit_overlap": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/eligibility-checks/v1/coordination-of-benefits"

payload = {
    "trading_partner_service_id": "string",
    "provider": { "npi": "string" },
    "subscriber": {
        "first_name": "string",
        "last_name": "string",
        "date_of_birth": "string"
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```